Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 25 Oct 2014, 05:55
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Google Android Development Kit running in new ???????
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Mon 12 Jul 2010, 22:05    Post_subject:  Google Android Development Kit running in new ???????
Sub_title: TEENpup 2009 Legacy Upcoming replacement
 

Hello Everyone,
Google Android for Debian 5.0 and Ubuntu 8.04 and above only. What a load of Crap! LOL! Download the .deb and unzip it to / have Java 1.6 installed and a glibc 2.4 or higher and it runs. Should work in Puppy 3.0 and above. Won't work in TEENpup 2009 Legacy. See Pic.
I've lost the link to the Website from Google. It appeared on one of the computer news websites. If you see it again please post link.

P.S the pic shows Androids Web browser search for TEENpup.
Android.jpg
 Description   
 Filesize   65.94 KB
 Viewed   1257 Time(s)

Android.jpg


_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send_private_message Visit_website 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Mon 12 Jul 2010, 22:39    Post_subject:  

Play with Android Apps without buying the phone! LOL!
Android Apps.jpg
 Description   
 Filesize   48.52 KB
 Viewed   1159 Time(s)

Android Apps.jpg


_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send_private_message Visit_website 
Roy

Joined: 31 Dec 2008
Posts: 442

PostPosted: Mon 12 Jul 2010, 23:11    Post_subject:  

john,

Is this the same thing?

http://www.howtoforge.com/installing-google-android-sdk1.0-on-ubuntu8.04-desktop

Looking forward to seeing ??????!

With best regards,
-Roy
Back to top
View user's profile Send_private_message 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Mon 12 Jul 2010, 23:23    Post_subject:  

Found Link again!

http://appinventor.googlelabs.com/about/

Download this http://dl.google.com/dl/appinventor/installers/linux/appinventor-extras_1.0-1_all.deb

More info here http://appinventor.googlelabs.com/learn/setup/index.html

P.S It appears you need a active Internet connection to see Apps. May take 5 minutes to load.

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send_private_message Visit_website 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Tue 13 Jul 2010, 00:33    Post_subject:  

In testing Internet slow to display page. Youtube video's don't play.
Worth having a play to get a feel on how Android works.

Press "Pg Up" (Number 9) to rotate screen.
Android2.jpg
 Description   
 Filesize   41.55 KB
 Viewed   1026 Time(s)

Android2.jpg


_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send_private_message Visit_website 
Sleepwalker

Joined: 18 Nov 2008
Posts: 4

PostPosted: Sat 25 Dec 2010, 17:35    Post_subject:  

John,

I've been trying to get Eclipse to run to do Android development in Puppy 4.10. I've downloaded devx_410.sfs and used the boot manager to configure Puppy to load it on boot up.

But when I try to debug or run a very simple demo application (see http://www.activefrequency.com/blog/2009/) I get the following errors from the emulator:

[2010-12-25 13:12:04 - Emulator] /root/my-applications/android-sdk-linux_x86/tools/emulator: /lib/libc.so.6: version `GLIBC_2.8' not found (required by /root/my-applications/android-sdk-linux_x86/tools/emulator)

[2010-12-25 13:12:04 - Emulator] /root/my-applications/android-sdk-linux_x86/tools/emulator: /lib/libc.so.6: version `GLIBC_2.7' not found (required by /root/my-applications/android-sdk-linux_x86/tools/emulator)

[2010-12-25 13:12:04 - Emulator] /root/my-applications/android-sdk-linux_x86/tools/emulator: /lib/libc.so.6: version `GLIBC_2.11' not found (required by /root/my-applications/android-sdk-linux_x86/tools/emulator)

Your original post makes it clear that I should be able to run this from Puppy 4.10 but obviously I'm missing a thing or 2 here.

Everything I've read makes it clear that I need to use a devx file that matches my version of Puppy. Is there a way to get the emulator us use the glibc version in devx_410.sfs? Can I download a newer version of glibc? How would I do that.

Sorry to be such a noob but despite all the searching I've done on this site and all of the googling for this error I still don't know what to do.

Thanks,

_________________
Sleepwalker

Sony Vaio Laptop PCG-Z505JS 256MB RAM Pentium III
Puppy 4.10 & 5.1.1 USB mouse: Option "SWcursor" "True" in xorg.conf
Back to top
View user's profile Send_private_message 
Sleepwalker

Joined: 18 Nov 2008
Posts: 4

PostPosted: Sun 26 Dec 2010, 17:09    Post_subject:  

I'm running version 3.6.1 of the Eclipse IDE with ADT version 8.0.1.

Is this the real issue? (Since I'm using a more recent version of the IDE and ADT than was available for the original post.)

_________________
Sleepwalker

Sony Vaio Laptop PCG-Z505JS 256MB RAM Pentium III
Puppy 4.10 & 5.1.1 USB mouse: Option "SWcursor" "True" in xorg.conf
Back to top
View user's profile Send_private_message 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Tue 28 Dec 2010, 09:03    Post_subject:  

Hello Sleepwalker,
When I posted this posting in July It worked, I to now get complaints that you need glibc 2.8 to run it properly. I suggest if your PC's new enough to run it on Ubuntu which has a newer version then glibc 2.8 Good Luck!

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send_private_message Visit_website 
Sleepwalker

Joined: 18 Nov 2008
Posts: 4

PostPosted: Fri 31 Dec 2010, 00:14    Post_subject:  

John,

Hey, thanks for the reply (I know this wasn't a recent thread but hoped you'd respond).

Thanks for the confirmation, at least I can quit spinning my wheels over this.

I'll try Ubuntu but I'm working on a 10 year old laptop.

(Puppy saved this machine from being a paperweight (I just couldn't deal with Windows 98 any longer) so I was really hoping to do Android development with it too. Maybe Wary will be an answer but I haven't been able to get it to deal with my hard drive. :-/ )

Thanks again for the help.

_________________
Sleepwalker

Sony Vaio Laptop PCG-Z505JS 256MB RAM Pentium III
Puppy 4.10 & 5.1.1 USB mouse: Option "SWcursor" "True" in xorg.conf
Back to top
View user's profile Send_private_message 
Pence

Joined: 30 Jul 2005
Posts: 201

PostPosted: Sun 02 Jan 2011, 09:58    Post_subject:  

Beware of the free Android wallpaper app from China.
Back to top
View user's profile Send_private_message 
Sleepwalker

Joined: 18 Nov 2008
Posts: 4

PostPosted: Sun 16 Jan 2011, 01:50    Post_subject:  

In case anyone is following this thread ...

I was able to get Puppy 5.1.1 to work on my system (but not Wary, weird) and the glibc version is no longer a problem.

I can get the emulator to launch but it never runs (debugs) the demo app. After googling the minimum hardware requirements for doing Android development it looks like I still don't have enough RAM (there's no hard stats to work with but 1 GB of RAM seems to be the consensus - hardly a surprise). So it's either abandon Eclipse or upgrade to a new computer.

@ Pence: Thanks for the tip.

_________________
Sleepwalker

Sony Vaio Laptop PCG-Z505JS 256MB RAM Pentium III
Puppy 4.10 & 5.1.1 USB mouse: Option "SWcursor" "True" in xorg.conf
Back to top
View user's profile Send_private_message 
Pence

Joined: 30 Jul 2005
Posts: 201

PostPosted: Wed 19 Jan 2011, 11:32    Post_subject:  

.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0756s ][ Queries: 12 (0.0156s) ][ GZIP on ]